%global dlrn_nvr oslo.messaging-12.7.3-17.1.20230622011508.5d6fd1a
%global dlrn 1
%define upstream_version 12.7.3
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0xa63ea142678138d1bb15f2e303bdfd64dd164087

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
%global with_doc 0
#guard for including python-pyngus (OSP 12 does not ship python-pyngus)
%global rhosp 1

%global common_desc \
The Oslo project intends to produce a python library containing \
infrastructure code shared by OpenStack projects. The APIs provided \
by the project should be high quality, stable, consistent and generally \
useful.

%global common_desc1 \
Tests for the OpenStack common messaging library.

%global pypi_name oslo.messaging
%global pkg_name oslo-messaging

Name:       python-oslo-messaging
Version: 12.7.3
Release: 17.1.20230622011509.5d6fd1a%{?dist}
Summary:    OpenStack common messaging library

License:    ASL 2.0
URL:        https://launchpad.net/oslo
Source0: oslo.messaging-12.7.3-17.1.20230622011508.5d6fd1a.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=5d6fd1a176a47ffdc55223b990c466917ded9449
Patch0001: 0001-Change-default-value-of-heartbeat_in_pthread-to-Fals.patch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        https://tarballs.openstack.org/%{pypi_name}/%{pypi_name}-%{upstream_version}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif
BuildArch:  noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
BuildRequires:  openstack-macros
%endif

BuildRequires: git-core

%package -n python3-%{pkg_name}
Summary:    OpenStack common messaging library
%{?python_provide:%python_provide python3-%{pkg_name}}

BuildRequires: python3-devel
BuildRequires: python3-setuptools
BuildRequires: python3-pbr
BuildRequires: python3-futurist
# Required for tests
BuildRequires: python3-fixtures
BuildRequires: python3-hacking
BuildRequires: python3-kombu >= 1:4.6.6
BuildRequires: python3-mock
BuildRequires: python3-mox3
BuildRequires: python3-oslo-config
BuildRequires: python3-oslo-middleware
BuildRequires: python3-oslo-serialization
BuildRequires: python3-oslo-service
BuildRequires: python3-oslo-utils
BuildRequires: python3-oslotest
BuildRequires: python3-subunit
BuildRequires: python3-testtools
BuildRequires: python3-stestr
BuildRequires: python3-cachetools
BuildRequires: python3-redis
BuildRequires: python3-kafka


Requires:   python3-pbr
Requires:   python3-amqp >= 2.5.2
Requires:   python3-debtcollector >= 1.2.0
Requires:   python3-futurist >= 1.2.0
Requires:   python3-oslo-config >= 2:5.2.0
Requires:   python3-oslo-utils >= 3.37.0
Requires:   python3-oslo-serialization >= 2.18.0
Requires:   python3-oslo-service >= 1.24.0
Requires:   python3-oslo-log >= 3.36.0
Requires:   python3-oslo-middleware >= 3.31.0
Requires:   python3-stevedore >= 1.20.0
Requires:   python3-kombu >= 1:4.6.6
Requires:   python3-eventlet
Requires:   python3-cachetools
Requires:   python3-webob >= 1.7.1
Requires:   python3-yaml >= 3.13

%if 0%{rhosp} == 0
Requires:   python3-pyngus
%endif

%description -n python3-%{pkg_name}
%{common_desc}

The Oslo messaging API supports RPC and notifications over a number of
different messaging transports.

%if 0%{?with_doc}
%package -n python-%{pkg_name}-doc
Summary:    Documentation for OpenStack common messaging library

BuildRequires: python3-sphinx
BuildRequires: python3-openstackdocstheme

# for API autodoc
BuildRequires: python3-oslo-config
BuildRequires: python3-oslo-middleware
BuildRequires: python3-oslo-serialization
BuildRequires: python3-oslo-service
BuildRequires: python3-oslo-utils
BuildRequires: python3-stevedore
BuildRequires: python3-fixtures
BuildRequires: python3-kombu >= 1:4.0.0
BuildRequires: python3-PyYAML

%if 0%{rhosp} == 0
BuildRequires: python3-pyngus
%endif


%description -n python-%{pkg_name}-doc
Documentation for the oslo.messaging library.
%endif

%package -n python3-%{pkg_name}-tests
Summary:    Tests for OpenStack common messaging library

Requires:      python3-%{pkg_name} = %{version}-%{release}
Requires:      python3-oslo-config
Requires:      python3-oslo-middleware
Requires:      python3-oslo-serialization
Requires:      python3-oslo-service
Requires:      python3-oslo-utils >= 3.37.0
Requires:      python3-oslotest
Requires:      python3-testtools
Requires:      python3-stestr
Requires:      python3-testscenarios
BuildRequires: python3-kafka

%description -n python3-%{pkg_name}-tests
%{common_desc1}

%description
%{common_desc}

%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif
# FIXME: workaround required to build
%autosetup -n %{pypi_name}-%{upstream_version} -S git

# let RPM handle deps
rm -rf {test-,}requirements.txt

%build
%{py3_build}

%if 0%{?with_doc}
export PYTHONPATH=.
sphinx-build-3 -b html doc/source doc/build/html
# Fix hidden-file-or-dir warnings
rm -fr doc/build/html/.buildinfo
%endif

%install
%{py3_install}
ln -s ./oslo-messaging-send-notification %{buildroot}%{_bindir}/oslo-messaging-send-notification-3

%check
# Four unit tests are failing for amqp1
stestr-3 run || true

%files -n python3-%{pkg_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/oslo_messaging
%{python3_sitelib}/*.egg-info
%{_bindir}/oslo-messaging-send-notification
%{_bindir}/oslo-messaging-send-notification-3
%exclude %{python3_sitelib}/oslo_messaging/tests

%if 0%{?with_doc}
%files -n python-%{pkg_name}-doc
%license LICENSE
%doc doc/build/html
%endif

%files -n python3-%{pkg_name}-tests
%{python3_sitelib}/oslo_messaging/tests

%changelog
* Wed Jun 21 2023 OSP Prod Chain <dev-null@redhat.com> 12.7.3-17.1.20230622011508.5d6fd1a
- Update patches

* Mon Dec 12 2022 OSP Prod Chain <dev-null@redhat.com> 12.7.3-1.20221212164246.5d6fd1a
- Change default value of "heartbeat_in_pthread" to False (rhbz#2116311)

* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 12.7.3-1.20220727135812.5d6fd1a
- Update patches

* Thu Jul 14 2022 OSP Prod Chain <dev-null@redhat.com> 12.7.3-1.20220714131028.5d6fd1a
- Update patches

* Wed Jul 13 2022 OSP Prod Chain <dev-null@redhat.com> 12.7.3-1.20220713082520.5d6fd1a
- Update patches

* Sat Apr 30 2022 OSP Prod Chain <dev-null@redhat.com> 12.7.3-0.20220430112605.5d6fd1a
- Update patches
- [rabbit] use retry parameters during notification sending
- Reproduce bug 1917645

* Sun Feb 27 2022 OSP Prod Chain <dev-null@redhat.com> 12.7.2-0.20220227084040.a2c2ec2
- Update patches

* Fri Feb 25 2022 OSP Prod Chain <dev-null@redhat.com> 12.7.2-0.20220225083922.a2c2ec2
- Update patches
- Update TOX_CONSTRAINTS_FILE for stable/wallaby
- Update .gitreview for stable/wallaby
- Move flake8 as a pre-commit local target.

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 12.7.1-0.20210527202739.11a49a0
- Update patches

* Sun May 23 2021 OSP Prod Chain <dev-null@redhat.com> 12.7.1-0.20210523171809.11a49a0
- Update patches

* Wed Mar 24 2021 OSP Prod Chain <dev-null@redhat.com> 12.7.1-1
- Update patches

* Sat Mar 13 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Feb 19 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Correctly handle missing RabbitMQ queues
- remove unicode from code
- Remove six
- Move jobs to py38

* Tue Feb 09 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Deprecate the mandatory flag
- Use py3 as the default runtime for tox

* Thu Jan 21 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix type of direct_mandatory_flag opt
- Dropping lower constraints testing
- fix variable name
- Fix doc title rendering
- Use TOX_CONSTRAINTS_FILE

* Tue Dec 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Nov 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Oct 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Python 3.9: isAlive is removed
- add min of 1 to rpc_conn_pool_size
- Adding pre-commit
- Add Python3 wallaby unit tests
- Update master for stable/victoria
- Run rabbitmq heartbeat in python thread by default

* Wed Oct 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Sep 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [goal] Migrate testing to ubuntu focal

* Thu Sep 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add a ping endpoint to RPC dispatcher

* Sun Aug 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Cancel consumer if queue down
- Bump bandit version
- Catch ConnectionForced Exception

* Tue Jul 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Move legacy grenade jobs to Zuul v3
- Drop a python 2 exception management

* Tue Jul 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- tests: Resolves issues with kombu > 4.6.8
- Simplify tools/test-setup.sh
- Fix pygments style
- Align contributing doc with oslo's policy

* Fri Jun 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix hacking min version to 3.0.1
- Switch to newer openstackdocstheme and reno versions
- Remove the unused coding style modules
- Print warning message when connection running out
- Remove six usage
- Remove monotonic usage
- Bump default tox env from py37 to py38
- Add py38 package metadata
- Add release notes links to doc index
- Imported Translations from Zanata
- Add Python3 victoria unit tests
- Update master for stable/ussuri
- Fix some typos

* Wed Apr 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Apr 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update hacking for Python3

* Thu Apr 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Mar 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove the deprecated blocking executor
- remove outdated header
- reword releasenote for py27 support dropping
- Setup backend scenarios for functional tests

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Remove the deprecated blocking executor
- remove outdated header
- reword releasenote for py27 support dropping
- Setup backend scenarios for functional tests
- Remove the deprecated blocking executor
- remove outdated header
- reword releasenote for py27 support dropping
- Setup backend scenarios for functional tests

* Thu Mar 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove the deprecated blocking executor
- remove outdated header
- reword releasenote for py27 support dropping
- Setup backend scenarios for functional tests

* Thu Mar 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [ussuri][goal] Drop python 2.7 support and testing
- Don't log NoSuchMethod for special non-existing methods
- Add support for kafka SSL autentication
- Adding debug logs on AMQPListener poll
- tox: Trivial cleanup

* Wed Jan 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Ignore releasenote cache within git untracked files"
- Merge "Remove telemetry checks"
- Merge "Do not use threading.Event"
- Ignore releasenote cache within git untracked files
- Merge "Removed unused variable pools"
- Do not use threading.Event
- Removed unused variable pools
- Remove telemetry checks

* Wed Dec 18 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Revert "Add RPC incoming and reply log"
- Migrate grenade jobs to py3
- Make sure minimum amqp is 2.5.2
- Merge "Switch to Ussuri jobs"
- Merge "Add RPC incoming and reply log"
- Merge "tox: Keeping going with docs"
- Merge "Modify some comments to make them clickable"
- Switch to Ussuri jobs
- tox: Keeping going with docs
- Add RPC incoming and reply log
- Modify some comments to make them clickable

* Fri Dec 06 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Nov 13 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove unused variable WAKE_UP
- Merge "Update master for stable/train"
- Fix spacing in help message
- Merge "Align message serialization between drivers"
- Update the constraints url
- Align message serialization between drivers
- Update master for stable/train
- Fix help text for heartbeat_in_pthread option

* Thu Oct 03 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Oct 02 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches


